Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001329TestLinkNew Featurepublic2008-01-25 08:372015-06-30 05:34
Reportertones 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.13 (2015 #1) 
Summary0001329: Create/Assign to User Groups
DescriptionAs well as assigning test cases to individual users, add the ability to create and assign to tester groups. Fr example, assign a test to a team and confirm that the test case works for all the testers in the team/group. Reports would then enable you to see the percentage of successful tests and narrow down where the problem might be.
Additional InformationMozilla's Litmus is a good example of a test case management tool designed for multiple users reporting on individual cases. However, I prefer testlink ;-)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0005305new Contribution - User Groups 
has duplicate 0002856closedfman Testcases to multiple users 
related to 0001199closedfman integration of user groups 
related to 0006527closedfman user group feature 
related to 0001081closedfman Field in user data containing one's department 

-  Notes
(0003063)
dzko (reporter)
2008-01-25 21:15

Agree! Not so often, but sometimes could be useful feature.
(0003109)
mhavlat (reporter)
2008-01-29 05:32

Guys, how you expect that it should work?

I expect the next:
1. Admin can create a User Group available through all TL and define owner.
2. Admin or owner could add and remove users to a group.
3. User can be member no, one or more groups.

On which pages could be posible to use group to filter users?
(0003112)
mhavlat (reporter)
2008-01-29 06:40

I'm not sure, if it is good idea to assign to group of people, because there is missing personal responsibility. But I can imagine that you can filter according a group and reassign test to yourself.
(0003119)
dzko (reporter)
2008-01-29 16:36

Of course always should be personal responsibility. So in case of group of testers one person anyway will be leader - responsible tester for this case. From other side not so often, but sometimes really it is necessary that one test case is performed by group of testers.

In principle TestLink allows to perform test by more as one user. From that side it works already. So for my opinion what would be good to have it is again some reporting features. And other side is that tester should see that he has testcase assigned for execution.
(0003127)
fman (administrator)
2008-01-29 19:47

Please consider two options:

System Wide Groups
TestProject related groups

using same concept already in use for roles, i.e:
we have :
system wide (assigned when user is created, i.e default role)
testproject roles
testplan roles
(0003146)
tones (reporter)
2008-01-30 01:55

There would still be responsibility. Each tester would still have a test case assigned to them, but at the moment it can only be a maximum of one person per case. The system rules would state that at least one person has responsibility, but it could be many in a group. It would be up to a senior tester/admin to decide whether to close the case if he is happy that enough of the group carried out the testcase.

Fine with group setup in Admin backend, but each tester when logging in should be able to see cases assigned to them, either if specified individually or if they are part of a group. My personal preference is these two types of assignment should not be separated too much - as far as a tester is concerned, he just needs to log in and carry out a series of cases. Groups for me is more of an admin reporting type thing (ie we had 4 out of 10 testers fail testcase 1, further investigation needed)
(0023160)
Mr.Bricodage (updater)
2015-04-26 15:49

should be closed (duplicated with 0005305 that provide contribution)
(0023488)
moutaki (reporter)
2015-06-12 14:25

which testlink version ?
(0023573)
fman (administrator)
2015-06-30 05:30

1.9.13 + latest fixes
assign execution taks allow multiple users
(0023574)
fman (administrator)
2015-06-30 05:31

NO GROUP but multiple user assignment for exec task

- Issue History
Date Modified Username Field Change
2008-01-25 08:37 tones New Issue
2008-01-25 14:33 fman Status new => acknowledged
2008-01-25 21:15 dzko Note Added: 0003063
2008-01-26 00:36 fman Summary Create/Assign to Tester Groups => Create/Assign to User Groups
2008-01-29 05:27 mhavlat Status acknowledged => assigned
2008-01-29 05:27 mhavlat Assigned To => mhavlat
2008-01-29 05:32 mhavlat Note Added: 0003109
2008-01-29 05:32 mhavlat Status assigned => feedback
2008-01-29 06:40 mhavlat Note Added: 0003112
2008-01-29 16:36 dzko Note Added: 0003119
2008-01-29 19:47 fman Note Added: 0003127
2008-01-30 01:55 tones Note Added: 0003146
2008-02-11 05:55 mhavlat Relationship added related to 0001199
2009-09-26 20:04 mhavlat Relationship added has duplicate 0002856
2010-02-25 00:51 mhavlat Assigned To mhavlat =>
2014-08-21 07:48 fman Relationship added related to 0006527
2015-04-26 15:48 Mr.Bricodage Relationship added related to 0001081
2015-04-26 15:49 Mr.Bricodage Relationship added related to 0005305
2015-04-26 15:49 Mr.Bricodage Note Added: 0023160
2015-06-12 14:25 moutaki Note Added: 0023488
2015-06-30 05:30 fman Note Added: 0023573
2015-06-30 05:31 fman QA Team - Task Workflow Status => TBD
2015-06-30 05:31 fman Note Added: 0023574
2015-06-30 05:31 fman Status feedback => closed
2015-06-30 05:31 fman Assigned To => fman
2015-06-30 05:31 fman Resolution open => fixed
2015-06-30 05:31 fman Fixed in Version => 1.9.13 (2015 #1)
2015-06-30 05:32 fman Status closed => resolved
2015-06-30 05:32 fman Resolution fixed => duplicate
2015-06-30 05:34 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker